<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence.GroupSang_Id"]["edit"] = array("table" => "licence", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence.Club_Id"] )) {
			$lookupTableLinks["club"]["licence.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence.Club_Id"]["edit"] = array("table" => "licence", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence.ordre"]["edit"] = array("table" => "licence", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["licence.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence.GradeInitial"]["edit"] = array("table" => "licence", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence.GradeActuel"] )) {
			$lookupTableLinks["gradejudo"]["licence.GradeActuel"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence.GradeActuel"]["edit"] = array("table" => "licence", "field" => "GradeActuel", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence"] ) ) {
			$lookupTableLinks["fonc_licence"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence"]["licence.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence"]["licence.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence"]["licence.FoncLicence_Id"]["edit"] = array("table" => "licence", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence.Nationalite_Id"]["edit"] = array("table" => "licence", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["licence.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["licence.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["licence.Ligue_Id"]["edit"] = array("table" => "licence", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence"] ) ) {
			$lookupTableLinks["fonc_licence"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence"]["licence.Fonction2"] )) {
			$lookupTableLinks["fonc_licence"]["licence.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence"]["licence.Fonction2"]["edit"] = array("table" => "licence", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence"] ) ) {
			$lookupTableLinks["fonc_licence"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence"]["licence.Fonction3"] )) {
			$lookupTableLinks["fonc_licence"]["licence.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence"]["licence.Fonction3"]["edit"] = array("table" => "licence", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence"] ) ) {
			$lookupTableLinks["fonc_licence"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence"]["licence.Fonction4"] )) {
			$lookupTableLinks["fonc_licence"]["licence.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence"]["licence.Fonction4"]["edit"] = array("table" => "licence", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["club.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["club.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["club.Ligue_Id"]["edit"] = array("table" => "club", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["club.District_Id"] )) {
			$lookupTableLinks["district"]["club.District_Id"] = array();
		}
		$lookupTableLinks["district"]["club.District_Id"]["edit"] = array("table" => "club", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["listjudoka"] ) ) {
			$lookupTableLinks["listjudoka"] = array();
		}
		if( !isset( $lookupTableLinks["listjudoka"]["renouvlicence.Licence_Id"] )) {
			$lookupTableLinks["listjudoka"]["renouvlicence.Licence_Id"] = array();
		}
		$lookupTableLinks["listjudoka"]["renouvlicence.Licence_Id"]["edit"] = array("table" => "renouvlicence", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["renouvlicence.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["renouvlicence.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["renouvlicence.GradeJudo_Id"]["edit"] = array("table" => "renouvlicence", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["renouvlicence.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["renouvlicence.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["renouvlicence.RespSaisie"]["edit"] = array("table" => "renouvlicence", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["attrgrade.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["attrgrade.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["attrgrade.GradeJudo_Id"]["edit"] = array("table" => "attrgrade", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["listjudoka"] ) ) {
			$lookupTableLinks["listjudoka"] = array();
		}
		if( !isset( $lookupTableLinks["listjudoka"]["attrgrade.Licence_Id"] )) {
			$lookupTableLinks["listjudoka"]["attrgrade.Licence_Id"] = array();
		}
		$lookupTableLinks["listjudoka"]["attrgrade.Licence_Id"]["edit"] = array("table" => "attrgrade", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["examinateur"] ) ) {
			$lookupTableLinks["examinateur"] = array();
		}
		if( !isset( $lookupTableLinks["examinateur"]["attrgrade.Exam_Id"] )) {
			$lookupTableLinks["examinateur"]["attrgrade.Exam_Id"] = array();
		}
		$lookupTableLinks["examinateur"]["attrgrade.Exam_Id"]["edit"] = array("table" => "attrgrade", "field" => "Exam_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["attrgrade.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["attrgrade.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["attrgrade.RespSaisie"]["edit"] = array("table" => "attrgrade", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["groupe"] ) ) {
			$lookupTableLinks["groupe"] = array();
		}
		if( !isset( $lookupTableLinks["groupe"]["utilisateur.Groupe_Id"] )) {
			$lookupTableLinks["groupe"]["utilisateur.Groupe_Id"] = array();
		}
		$lookupTableLinks["groupe"]["utilisateur.Groupe_Id"]["edit"] = array("table" => "utilisateur", "field" => "Groupe_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["utilisateur.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["utilisateur.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["utilisateur.Ligue_Id"]["edit"] = array("table" => "utilisateur", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["utilisateur.Club_Id"] )) {
			$lookupTableLinks["club"]["utilisateur.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["utilisateur.Club_Id"]["edit"] = array("table" => "utilisateur", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["utilisateur.District_Id"] )) {
			$lookupTableLinks["district"]["utilisateur.District_Id"] = array();
		}
		$lookupTableLinks["district"]["utilisateur.District_Id"]["edit"] = array("table" => "utilisateur", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["listjudoka.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["listjudoka.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["listjudoka.GroupSang_Id"]["edit"] = array("table" => "listjudoka", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["listjudoka.Club_Id"] )) {
			$lookupTableLinks["club"]["listjudoka.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["listjudoka.Club_Id"]["edit"] = array("table" => "listjudoka", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["attrgrade1.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["attrgrade1.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["attrgrade1.GradeJudo_Id"]["edit"] = array("table" => "attrgrade1", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["attrgrade1.Licence_Id"] )) {
			$lookupTableLinks["licence"]["attrgrade1.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["attrgrade1.Licence_Id"]["edit"] = array("table" => "attrgrade1", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["examinateur"] ) ) {
			$lookupTableLinks["examinateur"] = array();
		}
		if( !isset( $lookupTableLinks["examinateur"]["attrgrade1.Exam_Id"] )) {
			$lookupTableLinks["examinateur"]["attrgrade1.Exam_Id"] = array();
		}
		$lookupTableLinks["examinateur"]["attrgrade1.Exam_Id"]["edit"] = array("table" => "attrgrade1", "field" => "Exam_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typearbitre"] ) ) {
			$lookupTableLinks["typearbitre"] = array();
		}
		if( !isset( $lookupTableLinks["typearbitre"]["arbitre.TypeArbitre_Id"] )) {
			$lookupTableLinks["typearbitre"]["arbitre.TypeArbitre_Id"] = array();
		}
		$lookupTableLinks["typearbitre"]["arbitre.TypeArbitre_Id"]["edit"] = array("table" => "arbitre", "field" => "TypeArbitre_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["arbitre.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["arbitre.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["arbitre.GradeJudo_Id"]["edit"] = array("table" => "arbitre", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["staff.Fonction_Id"] )) {
			$lookupTableLinks["fonction"]["staff.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction"]["staff.Fonction_Id"]["edit"] = array("table" => "staff", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["staff.Club_Id"] )) {
			$lookupTableLinks["club"]["staff.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["staff.Club_Id"]["edit"] = array("table" => "staff", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualent"] ) ) {
			$lookupTableLinks["qualent"] = array();
		}
		if( !isset( $lookupTableLinks["qualent"]["staff.QualiEnt_Id"] )) {
			$lookupTableLinks["qualent"]["staff.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualent"]["staff.QualiEnt_Id"]["edit"] = array("table" => "staff", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff.GradeJudo_Id"]["edit"] = array("table" => "staff", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction_vue"] ) ) {
			$lookupTableLinks["fonction_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonction_vue"]["staff_club.Fonction_Id"] )) {
			$lookupTableLinks["fonction_vue"]["staff_club.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction_vue"]["staff_club.Fonction_Id"]["edit"] = array("table" => "staff_club", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["staff_club.Club_Id"] )) {
			$lookupTableLinks["club"]["staff_club.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["staff_club.Club_Id"]["edit"] = array("table" => "staff_club", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["staff_club.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["staff_club.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["staff_club.QualiEnt_Id"]["edit"] = array("table" => "staff_club", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff_club.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff_club.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff_club.GradeJudo_Id"]["edit"] = array("table" => "staff_club", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence_club.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence_club.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence_club.GroupSang_Id"]["edit"] = array("table" => "licence_club", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence_club.Club_Id"] )) {
			$lookupTableLinks["club"]["licence_club.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence_club.Club_Id"]["edit"] = array("table" => "licence_club", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_club.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence_club.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_club.ordre"]["edit"] = array("table" => "licence_club", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_club.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["licence_club.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_club.GradeInitial"]["edit"] = array("table" => "licence_club", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_club.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_club.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_club.FoncLicence_Id"]["edit"] = array("table" => "licence_club", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence_club.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence_club.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence_club.Nationalite_Id"]["edit"] = array("table" => "licence_club", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction2"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction2"]["edit"] = array("table" => "licence_club", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction3"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction3"]["edit"] = array("table" => "licence_club", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction4"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_club.Fonction4"]["edit"] = array("table" => "licence_club", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence_ligue.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence_ligue.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence_ligue.GroupSang_Id"]["edit"] = array("table" => "licence_ligue", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club_ligue"] ) ) {
			$lookupTableLinks["club_ligue"] = array();
		}
		if( !isset( $lookupTableLinks["club_ligue"]["licence_ligue.Club_Id"] )) {
			$lookupTableLinks["club_ligue"]["licence_ligue.Club_Id"] = array();
		}
		$lookupTableLinks["club_ligue"]["licence_ligue.Club_Id"]["edit"] = array("table" => "licence_ligue", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_ligue.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence_ligue.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_ligue.ordre"]["edit"] = array("table" => "licence_ligue", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_ligue.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["licence_ligue.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_ligue.GradeInitial"]["edit"] = array("table" => "licence_ligue", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_ligue.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_ligue.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_ligue.FoncLicence_Id"]["edit"] = array("table" => "licence_ligue", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence_ligue.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence_ligue.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence_ligue.Nationalite_Id"]["edit"] = array("table" => "licence_ligue", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction2"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction2"]["edit"] = array("table" => "licence_ligue", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction3"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction3"]["edit"] = array("table" => "licence_ligue", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction4"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_ligue.Fonction4"]["edit"] = array("table" => "licence_ligue", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["club_ligue.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["club_ligue.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["club_ligue.Ligue_Id"]["edit"] = array("table" => "club_ligue", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district_ligue"] ) ) {
			$lookupTableLinks["district_ligue"] = array();
		}
		if( !isset( $lookupTableLinks["district_ligue"]["club_ligue.District_Id"] )) {
			$lookupTableLinks["district_ligue"]["club_ligue.District_Id"] = array();
		}
		$lookupTableLinks["district_ligue"]["club_ligue.District_Id"]["edit"] = array("table" => "club_ligue", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["staff_ligue_club.Fonction_Id"] )) {
			$lookupTableLinks["fonction"]["staff_ligue_club.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction"]["staff_ligue_club.Fonction_Id"]["edit"] = array("table" => "staff_ligue_club", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club_ligue"] ) ) {
			$lookupTableLinks["club_ligue"] = array();
		}
		if( !isset( $lookupTableLinks["club_ligue"]["staff_ligue_club.Club_Id"] )) {
			$lookupTableLinks["club_ligue"]["staff_ligue_club.Club_Id"] = array();
		}
		$lookupTableLinks["club_ligue"]["staff_ligue_club.Club_Id"]["edit"] = array("table" => "staff_ligue_club", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["staff_ligue_club.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["staff_ligue_club.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["staff_ligue_club.QualiEnt_Id"]["edit"] = array("table" => "staff_ligue_club", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff_ligue_club.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff_ligue_club.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff_ligue_club.GradeJudo_Id"]["edit"] = array("table" => "staff_ligue_club", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["staff_fed.Fonction_Id"] )) {
			$lookupTableLinks["fonction"]["staff_fed.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction"]["staff_fed.Fonction_Id"]["edit"] = array("table" => "staff_fed", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["staff_fed.Club_Id"] )) {
			$lookupTableLinks["club"]["staff_fed.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["staff_fed.Club_Id"]["edit"] = array("table" => "staff_fed", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["staff_fed.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["staff_fed.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["staff_fed.Ligue_Id"]["edit"] = array("table" => "staff_fed", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["staff_fed.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["staff_fed.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["staff_fed.QualiEnt_Id"]["edit"] = array("table" => "staff_fed", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff_fed.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff_fed.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff_fed.GradeJudo_Id"]["edit"] = array("table" => "staff_fed", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["staff_fed.District"] )) {
			$lookupTableLinks["district"]["staff_fed.District"] = array();
		}
		$lookupTableLinks["district"]["staff_fed.District"]["edit"] = array("table" => "staff_fed", "field" => "District", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction_vue"] ) ) {
			$lookupTableLinks["fonction_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonction_vue"]["staff_ligue.Fonction_Id"] )) {
			$lookupTableLinks["fonction_vue"]["staff_ligue.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction_vue"]["staff_ligue.Fonction_Id"]["edit"] = array("table" => "staff_ligue", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club_ligue"] ) ) {
			$lookupTableLinks["club_ligue"] = array();
		}
		if( !isset( $lookupTableLinks["club_ligue"]["staff_ligue.Club_Id"] )) {
			$lookupTableLinks["club_ligue"]["staff_ligue.Club_Id"] = array();
		}
		$lookupTableLinks["club_ligue"]["staff_ligue.Club_Id"]["edit"] = array("table" => "staff_ligue", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["staff_ligue.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["staff_ligue.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["staff_ligue.QualiEnt_Id"]["edit"] = array("table" => "staff_ligue", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff_ligue.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff_ligue.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff_ligue.GradeJudo_Id"]["edit"] = array("table" => "staff_ligue", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["club_vue.District_Id"] )) {
			$lookupTableLinks["district"]["club_vue.District_Id"] = array();
		}
		$lookupTableLinks["district"]["club_vue.District_Id"]["edit"] = array("table" => "club_vue", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["club_vue.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["club_vue.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["club_vue.Ligue_Id"]["edit"] = array("table" => "club_vue", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["staff_vue.Fonction_Id"] )) {
			$lookupTableLinks["fonction"]["staff_vue.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction"]["staff_vue.Fonction_Id"]["edit"] = array("table" => "staff_vue", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["staff_vue.Club_Id"] )) {
			$lookupTableLinks["club"]["staff_vue.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["staff_vue.Club_Id"]["edit"] = array("table" => "staff_vue", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["staff_vue.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["staff_vue.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["staff_vue.QualiEnt_Id"]["edit"] = array("table" => "staff_vue", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff_vue.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff_vue.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff_vue.GradeJudo_Id"]["edit"] = array("table" => "staff_vue", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence_print.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence_print.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence_print.GroupSang_Id"]["edit"] = array("table" => "licence_print", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence_print.Club_Id"] )) {
			$lookupTableLinks["club"]["licence_print.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence_print.Club_Id"]["edit"] = array("table" => "licence_print", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_print.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence_print.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_print.ordre"]["edit"] = array("table" => "licence_print", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence"] ) ) {
			$lookupTableLinks["fonc_licence"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence"]["licence_print.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence"]["licence_print.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence"]["licence_print.FoncLicence_Id"]["edit"] = array("table" => "licence_print", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence_print.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence_print.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence_print.Nationalite_Id"]["edit"] = array("table" => "licence_print", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["licence_print.District_Id"] )) {
			$lookupTableLinks["district"]["licence_print.District_Id"] = array();
		}
		$lookupTableLinks["district"]["licence_print.District_Id"]["edit"] = array("table" => "licence_print", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["licence_print.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["licence_print.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["licence_print.Ligue_Id"]["edit"] = array("table" => "licence_print", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["groupe"] ) ) {
			$lookupTableLinks["groupe"] = array();
		}
		if( !isset( $lookupTableLinks["groupe"]["mon_profil.Groupe_Id"] )) {
			$lookupTableLinks["groupe"]["mon_profil.Groupe_Id"] = array();
		}
		$lookupTableLinks["groupe"]["mon_profil.Groupe_Id"]["edit"] = array("table" => "mon_profil", "field" => "Groupe_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["mon_profil.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["mon_profil.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["mon_profil.Ligue_Id"]["edit"] = array("table" => "mon_profil", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["mon_profil.Club_Id"] )) {
			$lookupTableLinks["club"]["mon_profil.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["mon_profil.Club_Id"]["edit"] = array("table" => "mon_profil", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["competition"] ) ) {
			$lookupTableLinks["competition"] = array();
		}
		if( !isset( $lookupTableLinks["competition"]["competition.Competition_Id"] )) {
			$lookupTableLinks["competition"]["competition.Competition_Id"] = array();
		}
		$lookupTableLinks["competition"]["competition.Competition_Id"]["edit"] = array("table" => "competition", "field" => "Competition_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet"] ) ) {
			$lookupTableLinks["typecompet"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet"]["competition.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet"]["competition.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet"]["competition.TypeCompet_Id"]["edit"] = array("table" => "competition", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["competition.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["competition.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["competition.RespSaisie"]["edit"] = array("table" => "competition", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["coutlicence.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["coutlicence.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["coutlicence.GradeJudo_Id"]["edit"] = array("table" => "coutlicence", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["compet_participant.Licence_Id"] )) {
			$lookupTableLinks["licence"]["compet_participant.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["compet_participant.Licence_Id"]["edit"] = array("table" => "compet_participant", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["compet_participant.Club_Id"] )) {
			$lookupTableLinks["club"]["compet_participant.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["compet_participant.Club_Id"]["edit"] = array("table" => "compet_participant", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids"] ) ) {
			$lookupTableLinks["categorie_poids"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids"]["compet_participant.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids"]["compet_participant.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids"]["compet_participant.CategoriePoids Id"]["edit"] = array("table" => "compet_participant", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["lesparticipants_fed.Licence_Id"] )) {
			$lookupTableLinks["licence"]["lesparticipants_fed.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["lesparticipants_fed.Licence_Id"]["edit"] = array("table" => "lesparticipants_fed", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["lesparticipants_fed.Club_Id"] )) {
			$lookupTableLinks["club"]["lesparticipants_fed.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["lesparticipants_fed.Club_Id"]["edit"] = array("table" => "lesparticipants_fed", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet"] ) ) {
			$lookupTableLinks["typecompet"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet"]["lesparticipants_fed.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet"]["lesparticipants_fed.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet"]["lesparticipants_fed.TypeCompet_Id"]["edit"] = array("table" => "lesparticipants_fed", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["lesparticipants_fed.MAX(GradeJudo_Id)"] )) {
			$lookupTableLinks["gradejudo"]["lesparticipants_fed.MAX(GradeJudo_Id)"] = array();
		}
		$lookupTableLinks["gradejudo"]["lesparticipants_fed.MAX(GradeJudo_Id)"]["edit"] = array("table" => "lesparticipants_fed", "field" => "MAX(GradeJudo_Id)", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["lesparticipants_fed.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["lesparticipants_fed.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["lesparticipants_fed.Ligue_Id"]["edit"] = array("table" => "lesparticipants_fed", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["lesparticipants_fed.District_Id"] )) {
			$lookupTableLinks["district"]["lesparticipants_fed.District_Id"] = array();
		}
		$lookupTableLinks["district"]["lesparticipants_fed.District_Id"]["edit"] = array("table" => "lesparticipants_fed", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids_vue"] ) ) {
			$lookupTableLinks["categorie_poids_vue"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids_vue"]["lesparticipants_fed.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids_vue"]["lesparticipants_fed.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids_vue"]["lesparticipants_fed.CategoriePoids Id"]["edit"] = array("table" => "lesparticipants_fed", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["competition"] ) ) {
			$lookupTableLinks["competition"] = array();
		}
		if( !isset( $lookupTableLinks["competition"]["competition_club.Competition_Id"] )) {
			$lookupTableLinks["competition"]["competition_club.Competition_Id"] = array();
		}
		$lookupTableLinks["competition"]["competition_club.Competition_Id"]["edit"] = array("table" => "competition_club", "field" => "Competition_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet"] ) ) {
			$lookupTableLinks["typecompet"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet"]["competition_club.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet"]["competition_club.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet"]["competition_club.TypeCompet_Id"]["edit"] = array("table" => "competition_club", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["competition_club.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["competition_club.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["competition_club.RespSaisie"]["edit"] = array("table" => "competition_club", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["licence_club"] ) ) {
			$lookupTableLinks["licence_club"] = array();
		}
		if( !isset( $lookupTableLinks["licence_club"]["compet_particip_club.Licence_Id"] )) {
			$lookupTableLinks["licence_club"]["compet_particip_club.Licence_Id"] = array();
		}
		$lookupTableLinks["licence_club"]["compet_particip_club.Licence_Id"]["edit"] = array("table" => "compet_particip_club", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["compet_particip_club.Club_Id"] )) {
			$lookupTableLinks["club"]["compet_particip_club.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["compet_particip_club.Club_Id"]["edit"] = array("table" => "compet_particip_club", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids"] ) ) {
			$lookupTableLinks["categorie_poids"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids"]["compet_particip_club.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids"]["compet_particip_club.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids"]["compet_particip_club.CategoriePoids Id"]["edit"] = array("table" => "compet_particip_club", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["competition"] ) ) {
			$lookupTableLinks["competition"] = array();
		}
		if( !isset( $lookupTableLinks["competition"]["competition_ligue.Competition_Id"] )) {
			$lookupTableLinks["competition"]["competition_ligue.Competition_Id"] = array();
		}
		$lookupTableLinks["competition"]["competition_ligue.Competition_Id"]["edit"] = array("table" => "competition_ligue", "field" => "Competition_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet_vue"] ) ) {
			$lookupTableLinks["typecompet_vue"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet_vue"]["competition_ligue.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet_vue"]["competition_ligue.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet_vue"]["competition_ligue.TypeCompet_Id"]["edit"] = array("table" => "competition_ligue", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["competition_ligue.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["competition_ligue.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["competition_ligue.RespSaisie"]["edit"] = array("table" => "competition_ligue", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["licence_ligue"] ) ) {
			$lookupTableLinks["licence_ligue"] = array();
		}
		if( !isset( $lookupTableLinks["licence_ligue"]["compet_particip_ligue.Licence_Id"] )) {
			$lookupTableLinks["licence_ligue"]["compet_particip_ligue.Licence_Id"] = array();
		}
		$lookupTableLinks["licence_ligue"]["compet_particip_ligue.Licence_Id"]["edit"] = array("table" => "compet_particip_ligue", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club_ligue"] ) ) {
			$lookupTableLinks["club_ligue"] = array();
		}
		if( !isset( $lookupTableLinks["club_ligue"]["compet_particip_ligue.Club_Id"] )) {
			$lookupTableLinks["club_ligue"]["compet_particip_ligue.Club_Id"] = array();
		}
		$lookupTableLinks["club_ligue"]["compet_particip_ligue.Club_Id"]["edit"] = array("table" => "compet_particip_ligue", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids"] ) ) {
			$lookupTableLinks["categorie_poids"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids"]["compet_particip_ligue.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids"]["compet_particip_ligue.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids"]["compet_particip_ligue.CategoriePoids Id"]["edit"] = array("table" => "compet_particip_ligue", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["coutlicence_vue.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["coutlicence_vue.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["coutlicence_vue.GradeJudo_Id"]["edit"] = array("table" => "coutlicence_vue", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["actualite.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["actualite.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["actualite.RespSaisie"]["edit"] = array("table" => "actualite", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["actualite_new.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["actualite_new.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["actualite_new.RespSaisie"]["edit"] = array("table" => "actualite_new", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["lesparticipants_club.Licence_Id"] )) {
			$lookupTableLinks["licence"]["lesparticipants_club.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["lesparticipants_club.Licence_Id"]["edit"] = array("table" => "lesparticipants_club", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["lesparticipants_club.Club_Id"] )) {
			$lookupTableLinks["club"]["lesparticipants_club.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["lesparticipants_club.Club_Id"]["edit"] = array("table" => "lesparticipants_club", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet"] ) ) {
			$lookupTableLinks["typecompet"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet"]["lesparticipants_club.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet"]["lesparticipants_club.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet"]["lesparticipants_club.TypeCompet_Id"]["edit"] = array("table" => "lesparticipants_club", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["lesparticipants_club.MAX(GradeJudo_Id)"] )) {
			$lookupTableLinks["gradejudo"]["lesparticipants_club.MAX(GradeJudo_Id)"] = array();
		}
		$lookupTableLinks["gradejudo"]["lesparticipants_club.MAX(GradeJudo_Id)"]["edit"] = array("table" => "lesparticipants_club", "field" => "MAX(GradeJudo_Id)", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["lesparticipants_club.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["lesparticipants_club.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["lesparticipants_club.Ligue_Id"]["edit"] = array("table" => "lesparticipants_club", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids_vue"] ) ) {
			$lookupTableLinks["categorie_poids_vue"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids_vue"]["lesparticipants_club.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids_vue"]["lesparticipants_club.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids_vue"]["lesparticipants_club.CategoriePoids Id"]["edit"] = array("table" => "lesparticipants_club", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["lesparticipants_ligue.Licence_Id"] )) {
			$lookupTableLinks["licence"]["lesparticipants_ligue.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["lesparticipants_ligue.Licence_Id"]["edit"] = array("table" => "lesparticipants_ligue", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["lesparticipants_ligue.Club_Id"] )) {
			$lookupTableLinks["club"]["lesparticipants_ligue.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["lesparticipants_ligue.Club_Id"]["edit"] = array("table" => "lesparticipants_ligue", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet"] ) ) {
			$lookupTableLinks["typecompet"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet"]["lesparticipants_ligue.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet"]["lesparticipants_ligue.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet"]["lesparticipants_ligue.TypeCompet_Id"]["edit"] = array("table" => "lesparticipants_ligue", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["lesparticipants_ligue.MAX(GradeJudo_Id)"] )) {
			$lookupTableLinks["gradejudo"]["lesparticipants_ligue.MAX(GradeJudo_Id)"] = array();
		}
		$lookupTableLinks["gradejudo"]["lesparticipants_ligue.MAX(GradeJudo_Id)"]["edit"] = array("table" => "lesparticipants_ligue", "field" => "MAX(GradeJudo_Id)", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["lesparticipants_ligue.District_Id"] )) {
			$lookupTableLinks["district"]["lesparticipants_ligue.District_Id"] = array();
		}
		$lookupTableLinks["district"]["lesparticipants_ligue.District_Id"]["edit"] = array("table" => "lesparticipants_ligue", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["lesparticipants_ligue.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["lesparticipants_ligue.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["lesparticipants_ligue.Ligue_Id"]["edit"] = array("table" => "lesparticipants_ligue", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids_vue"] ) ) {
			$lookupTableLinks["categorie_poids_vue"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids_vue"]["lesparticipants_ligue.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids_vue"]["lesparticipants_ligue.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids_vue"]["lesparticipants_ligue.CategoriePoids Id"]["edit"] = array("table" => "lesparticipants_ligue", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["competition"] ) ) {
			$lookupTableLinks["competition"] = array();
		}
		if( !isset( $lookupTableLinks["competition"]["lescompetitions.Competition_Id"] )) {
			$lookupTableLinks["competition"]["lescompetitions.Competition_Id"] = array();
		}
		$lookupTableLinks["competition"]["lescompetitions.Competition_Id"]["edit"] = array("table" => "lescompetitions", "field" => "Competition_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet"] ) ) {
			$lookupTableLinks["typecompet"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet"]["lescompetitions.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet"]["lescompetitions.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet"]["lescompetitions.TypeCompet_Id"]["edit"] = array("table" => "lescompetitions", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["lesentraineurs.Fonction_Id"] )) {
			$lookupTableLinks["fonction"]["lesentraineurs.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction"]["lesentraineurs.Fonction_Id"]["edit"] = array("table" => "lesentraineurs", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["lesentraineurs.Club_Id"] )) {
			$lookupTableLinks["club"]["lesentraineurs.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["lesentraineurs.Club_Id"]["edit"] = array("table" => "lesentraineurs", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["lesentraineurs.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["lesentraineurs.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["lesentraineurs.Ligue_Id"]["edit"] = array("table" => "lesentraineurs", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualent"] ) ) {
			$lookupTableLinks["qualent"] = array();
		}
		if( !isset( $lookupTableLinks["qualent"]["lesentraineurs.QualiEnt_Id"] )) {
			$lookupTableLinks["qualent"]["lesentraineurs.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualent"]["lesentraineurs.QualiEnt_Id"]["edit"] = array("table" => "lesentraineurs", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["lesentraineurs.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["lesentraineurs.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["lesentraineurs.GradeJudo_Id"]["edit"] = array("table" => "lesentraineurs", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["listjudoka"] ) ) {
			$lookupTableLinks["listjudoka"] = array();
		}
		if( !isset( $lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"] )) {
			$lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"] = array();
		}
		$lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"]["edit"] = array("table" => "renouvellement", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["listjudoka"] ) ) {
			$lookupTableLinks["listjudoka"] = array();
		}
		if( !isset( $lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"] )) {
			$lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"] = array();
		}
		$lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"]["add"] = array("table" => "renouvellement", "field" => "Licence_Id", "page" => "add");
		if( !isset( $lookupTableLinks["listjudoka"] ) ) {
			$lookupTableLinks["listjudoka"] = array();
		}
		if( !isset( $lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"] )) {
			$lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"] = array();
		}
		$lookupTableLinks["listjudoka"]["renouvellement.Licence_Id"]["search"] = array("table" => "renouvellement", "field" => "Licence_Id", "page" => "search");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["renouvellement.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["renouvellement.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["renouvellement.GradeInitial"]["edit"] = array("table" => "renouvellement", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["renouvellement.GradeActuel"] )) {
			$lookupTableLinks["gradejudo"]["renouvellement.GradeActuel"] = array();
		}
		$lookupTableLinks["gradejudo"]["renouvellement.GradeActuel"]["edit"] = array("table" => "renouvellement", "field" => "GradeActuel", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["renouvellement.Club_Id"] )) {
			$lookupTableLinks["club"]["renouvellement.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["renouvellement.Club_Id"]["edit"] = array("table" => "renouvellement", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["renouvellement.District_Id"] )) {
			$lookupTableLinks["district"]["renouvellement.District_Id"] = array();
		}
		$lookupTableLinks["district"]["renouvellement.District_Id"]["edit"] = array("table" => "renouvellement", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["renouvellement.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_vue"]["renouvellement.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["renouvellement.FoncLicence_Id"]["edit"] = array("table" => "renouvellement", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["district.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["district.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["district.Ligue_Id"]["edit"] = array("table" => "district", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["club_district.District_Id"] )) {
			$lookupTableLinks["district"]["club_district.District_Id"] = array();
		}
		$lookupTableLinks["district"]["club_district.District_Id"]["edit"] = array("table" => "club_district", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["club_district.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["club_district.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["club_district.Ligue_Id"]["edit"] = array("table" => "club_district", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction"] ) ) {
			$lookupTableLinks["fonction"] = array();
		}
		if( !isset( $lookupTableLinks["fonction"]["staff_district_club.Fonction_Id"] )) {
			$lookupTableLinks["fonction"]["staff_district_club.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction"]["staff_district_club.Fonction_Id"]["edit"] = array("table" => "staff_district_club", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club_ligue"] ) ) {
			$lookupTableLinks["club_ligue"] = array();
		}
		if( !isset( $lookupTableLinks["club_ligue"]["staff_district_club.Club_Id"] )) {
			$lookupTableLinks["club_ligue"]["staff_district_club.Club_Id"] = array();
		}
		$lookupTableLinks["club_ligue"]["staff_district_club.Club_Id"]["edit"] = array("table" => "staff_district_club", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["staff_district_club.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["staff_district_club.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["staff_district_club.QualiEnt_Id"]["edit"] = array("table" => "staff_district_club", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff_district_club.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff_district_club.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff_district_club.GradeJudo_Id"]["edit"] = array("table" => "staff_district_club", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonction_vue"] ) ) {
			$lookupTableLinks["fonction_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonction_vue"]["staff_district.Fonction_Id"] )) {
			$lookupTableLinks["fonction_vue"]["staff_district.Fonction_Id"] = array();
		}
		$lookupTableLinks["fonction_vue"]["staff_district.Fonction_Id"]["edit"] = array("table" => "staff_district", "field" => "Fonction_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club_district"] ) ) {
			$lookupTableLinks["club_district"] = array();
		}
		if( !isset( $lookupTableLinks["club_district"]["staff_district.Club_Id"] )) {
			$lookupTableLinks["club_district"]["staff_district.Club_Id"] = array();
		}
		$lookupTableLinks["club_district"]["staff_district.Club_Id"]["edit"] = array("table" => "staff_district", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["staff_district.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["staff_district.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["staff_district.Ligue_Id"]["edit"] = array("table" => "staff_district", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["staff_district.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["staff_district.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["staff_district.QualiEnt_Id"]["edit"] = array("table" => "staff_district", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["staff_district.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["staff_district.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["staff_district.GradeJudo_Id"]["edit"] = array("table" => "staff_district", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["staff_district.District_Id"] )) {
			$lookupTableLinks["district"]["staff_district.District_Id"] = array();
		}
		$lookupTableLinks["district"]["staff_district.District_Id"]["edit"] = array("table" => "staff_district", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["district_ligue.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["district_ligue.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["district_ligue.Ligue_Id"]["edit"] = array("table" => "district_ligue", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence_district.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence_district.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence_district.GroupSang_Id"]["edit"] = array("table" => "licence_district", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club_district"] ) ) {
			$lookupTableLinks["club_district"] = array();
		}
		if( !isset( $lookupTableLinks["club_district"]["licence_district.Club_Id"] )) {
			$lookupTableLinks["club_district"]["licence_district.Club_Id"] = array();
		}
		$lookupTableLinks["club_district"]["licence_district.Club_Id"]["edit"] = array("table" => "licence_district", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_district.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence_district.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_district.ordre"]["edit"] = array("table" => "licence_district", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_district.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["licence_district.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_district.GradeInitial"]["edit"] = array("table" => "licence_district", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["licence_district.District_Id"] )) {
			$lookupTableLinks["district"]["licence_district.District_Id"] = array();
		}
		$lookupTableLinks["district"]["licence_district.District_Id"]["edit"] = array("table" => "licence_district", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_district.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_district.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_district.FoncLicence_Id"]["edit"] = array("table" => "licence_district", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence_district.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence_district.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence_district.Nationalite_Id"]["edit"] = array("table" => "licence_district", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction2"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction2"]["edit"] = array("table" => "licence_district", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction3"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction3"]["edit"] = array("table" => "licence_district", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction4"] )) {
			$lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["licence_district.Fonction4"]["edit"] = array("table" => "licence_district", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["competition"] ) ) {
			$lookupTableLinks["competition"] = array();
		}
		if( !isset( $lookupTableLinks["competition"]["competition_district.Competition_Id"] )) {
			$lookupTableLinks["competition"]["competition_district.Competition_Id"] = array();
		}
		$lookupTableLinks["competition"]["competition_district.Competition_Id"]["edit"] = array("table" => "competition_district", "field" => "Competition_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet_vue"] ) ) {
			$lookupTableLinks["typecompet_vue"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet_vue"]["competition_district.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet_vue"]["competition_district.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet_vue"]["competition_district.TypeCompet_Id"]["edit"] = array("table" => "competition_district", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["competition_district.RespSaisie"] )) {
			$lookupTableLinks["utilisateur"]["competition_district.RespSaisie"] = array();
		}
		$lookupTableLinks["utilisateur"]["competition_district.RespSaisie"]["edit"] = array("table" => "competition_district", "field" => "RespSaisie", "page" => "edit");
		if( !isset( $lookupTableLinks["licence_district"] ) ) {
			$lookupTableLinks["licence_district"] = array();
		}
		if( !isset( $lookupTableLinks["licence_district"]["compet_particip_district.Licence_Id"] )) {
			$lookupTableLinks["licence_district"]["compet_particip_district.Licence_Id"] = array();
		}
		$lookupTableLinks["licence_district"]["compet_particip_district.Licence_Id"]["edit"] = array("table" => "compet_particip_district", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["compet_particip_district.Club_Id"] )) {
			$lookupTableLinks["club"]["compet_particip_district.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["compet_particip_district.Club_Id"]["edit"] = array("table" => "compet_particip_district", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["compet_particip_district.District_Id"] )) {
			$lookupTableLinks["district"]["compet_particip_district.District_Id"] = array();
		}
		$lookupTableLinks["district"]["compet_particip_district.District_Id"]["edit"] = array("table" => "compet_particip_district", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids"] ) ) {
			$lookupTableLinks["categorie_poids"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids"]["compet_particip_district.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids"]["compet_particip_district.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids"]["compet_particip_district.CategoriePoids Id"]["edit"] = array("table" => "compet_particip_district", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["lesparticipants_district.Licence_Id"] )) {
			$lookupTableLinks["licence"]["lesparticipants_district.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["lesparticipants_district.Licence_Id"]["edit"] = array("table" => "lesparticipants_district", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["lesparticipants_district.Club_Id"] )) {
			$lookupTableLinks["club"]["lesparticipants_district.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["lesparticipants_district.Club_Id"]["edit"] = array("table" => "lesparticipants_district", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typecompet"] ) ) {
			$lookupTableLinks["typecompet"] = array();
		}
		if( !isset( $lookupTableLinks["typecompet"]["lesparticipants_district.TypeCompet_Id"] )) {
			$lookupTableLinks["typecompet"]["lesparticipants_district.TypeCompet_Id"] = array();
		}
		$lookupTableLinks["typecompet"]["lesparticipants_district.TypeCompet_Id"]["edit"] = array("table" => "lesparticipants_district", "field" => "TypeCompet_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["lesparticipants_district.MAX(GradeJudo_Id)"] )) {
			$lookupTableLinks["gradejudo"]["lesparticipants_district.MAX(GradeJudo_Id)"] = array();
		}
		$lookupTableLinks["gradejudo"]["lesparticipants_district.MAX(GradeJudo_Id)"]["edit"] = array("table" => "lesparticipants_district", "field" => "MAX(GradeJudo_Id)", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["lesparticipants_district.District_Id"] )) {
			$lookupTableLinks["district"]["lesparticipants_district.District_Id"] = array();
		}
		$lookupTableLinks["district"]["lesparticipants_district.District_Id"]["edit"] = array("table" => "lesparticipants_district", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["lesparticipants_district.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["lesparticipants_district.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["lesparticipants_district.Ligue_Id"]["edit"] = array("table" => "lesparticipants_district", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["categorie_poids_vue"] ) ) {
			$lookupTableLinks["categorie_poids_vue"] = array();
		}
		if( !isset( $lookupTableLinks["categorie_poids_vue"]["lesparticipants_district.CategoriePoids Id"] )) {
			$lookupTableLinks["categorie_poids_vue"]["lesparticipants_district.CategoriePoids Id"] = array();
		}
		$lookupTableLinks["categorie_poids_vue"]["lesparticipants_district.CategoriePoids Id"]["edit"] = array("table" => "lesparticipants_district", "field" => "CategoriePoids Id", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["licence_arabitre.Licence_Id"] )) {
			$lookupTableLinks["licence"]["licence_arabitre.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["licence_arabitre.Licence_Id"]["edit"] = array("table" => "licence_arabitre", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence_arabitre.Club_Id"] )) {
			$lookupTableLinks["club"]["licence_arabitre.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence_arabitre.Club_Id"]["edit"] = array("table" => "licence_arabitre", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["typearbitre"] ) ) {
			$lookupTableLinks["typearbitre"] = array();
		}
		if( !isset( $lookupTableLinks["typearbitre"]["licence_arabitre.TypeArbitre_Id"] )) {
			$lookupTableLinks["typearbitre"]["licence_arabitre.TypeArbitre_Id"] = array();
		}
		$lookupTableLinks["typearbitre"]["licence_arabitre.TypeArbitre_Id"]["edit"] = array("table" => "licence_arabitre", "field" => "TypeArbitre_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_arabitre.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["licence_arabitre.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_arabitre.GradeJudo_Id"]["edit"] = array("table" => "licence_arabitre", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["licence"] ) ) {
			$lookupTableLinks["licence"] = array();
		}
		if( !isset( $lookupTableLinks["licence"]["licence_entraineur.Licence_Id"] )) {
			$lookupTableLinks["licence"]["licence_entraineur.Licence_Id"] = array();
		}
		$lookupTableLinks["licence"]["licence_entraineur.Licence_Id"]["edit"] = array("table" => "licence_entraineur", "field" => "Licence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence_entraineur.Club_Id"] )) {
			$lookupTableLinks["club"]["licence_entraineur.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence_entraineur.Club_Id"]["edit"] = array("table" => "licence_entraineur", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["qualite_entraineur"] ) ) {
			$lookupTableLinks["qualite_entraineur"] = array();
		}
		if( !isset( $lookupTableLinks["qualite_entraineur"]["licence_entraineur.QualiEnt_Id"] )) {
			$lookupTableLinks["qualite_entraineur"]["licence_entraineur.QualiEnt_Id"] = array();
		}
		$lookupTableLinks["qualite_entraineur"]["licence_entraineur.QualiEnt_Id"]["edit"] = array("table" => "licence_entraineur", "field" => "QualiEnt_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_entraineur.GradeJudo_Id"] )) {
			$lookupTableLinks["gradejudo"]["licence_entraineur.GradeJudo_Id"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_entraineur.GradeJudo_Id"]["edit"] = array("table" => "licence_entraineur", "field" => "GradeJudo_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence_fed_athlete.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence_fed_athlete.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence_fed_athlete.GroupSang_Id"]["edit"] = array("table" => "licence_fed_athlete", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence_fed_athlete.Club_Id"] )) {
			$lookupTableLinks["club"]["licence_fed_athlete.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence_fed_athlete.Club_Id"]["edit"] = array("table" => "licence_fed_athlete", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_fed_athlete.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence_fed_athlete.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_fed_athlete.ordre"]["edit"] = array("table" => "licence_fed_athlete", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_fed_athlete.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["licence_fed_athlete.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_fed_athlete.GradeInitial"]["edit"] = array("table" => "licence_fed_athlete", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_fed_athlete.GradeActuel"] )) {
			$lookupTableLinks["gradejudo"]["licence_fed_athlete.GradeActuel"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_fed_athlete.GradeActuel"]["edit"] = array("table" => "licence_fed_athlete", "field" => "GradeActuel", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_athlete"] ) ) {
			$lookupTableLinks["fonc_licence_athlete"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.FoncLicence_Id"]["edit"] = array("table" => "licence_fed_athlete", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence_fed_athlete.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence_fed_athlete.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence_fed_athlete.Nationalite_Id"]["edit"] = array("table" => "licence_fed_athlete", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_athlete"] ) ) {
			$lookupTableLinks["fonc_licence_athlete"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction2"] )) {
			$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction2"]["edit"] = array("table" => "licence_fed_athlete", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_athlete"] ) ) {
			$lookupTableLinks["fonc_licence_athlete"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction3"] )) {
			$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction3"]["edit"] = array("table" => "licence_fed_athlete", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_athlete"] ) ) {
			$lookupTableLinks["fonc_licence_athlete"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction4"] )) {
			$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence_athlete"]["licence_fed_athlete.Fonction4"]["edit"] = array("table" => "licence_fed_athlete", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence_fed_membre.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence_fed_membre.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence_fed_membre.GroupSang_Id"]["edit"] = array("table" => "licence_fed_membre", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence_fed_membre.Club_Id"] )) {
			$lookupTableLinks["club"]["licence_fed_membre.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence_fed_membre.Club_Id"]["edit"] = array("table" => "licence_fed_membre", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_fed_membre.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence_fed_membre.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_fed_membre.ordre"]["edit"] = array("table" => "licence_fed_membre", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_fed_membre.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["licence_fed_membre.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_fed_membre.GradeInitial"]["edit"] = array("table" => "licence_fed_membre", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_fed_membre.GradeActuel"] )) {
			$lookupTableLinks["gradejudo"]["licence_fed_membre.GradeActuel"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_fed_membre.GradeActuel"]["edit"] = array("table" => "licence_fed_membre", "field" => "GradeActuel", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_autre"] ) ) {
			$lookupTableLinks["fonc_licence_autre"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.FoncLicence_Id"]["edit"] = array("table" => "licence_fed_membre", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence_fed_membre.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence_fed_membre.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence_fed_membre.Nationalite_Id"]["edit"] = array("table" => "licence_fed_membre", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_autre"] ) ) {
			$lookupTableLinks["fonc_licence_autre"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction2"] )) {
			$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction2"]["edit"] = array("table" => "licence_fed_membre", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_autre"] ) ) {
			$lookupTableLinks["fonc_licence_autre"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction3"] )) {
			$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction3"]["edit"] = array("table" => "licence_fed_membre", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_autre"] ) ) {
			$lookupTableLinks["fonc_licence_autre"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction4"] )) {
			$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence_autre"]["licence_fed_membre.Fonction4"]["edit"] = array("table" => "licence_fed_membre", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["groupe"] ) ) {
			$lookupTableLinks["groupe"] = array();
		}
		if( !isset( $lookupTableLinks["groupe"]["vue_utilisateur.Groupe_Id"] )) {
			$lookupTableLinks["groupe"]["vue_utilisateur.Groupe_Id"] = array();
		}
		$lookupTableLinks["groupe"]["vue_utilisateur.Groupe_Id"]["edit"] = array("table" => "vue_utilisateur", "field" => "Groupe_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["vue_utilisateur.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["vue_utilisateur.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["vue_utilisateur.Ligue_Id"]["edit"] = array("table" => "vue_utilisateur", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["vue_utilisateur.Club_Id"] )) {
			$lookupTableLinks["club"]["vue_utilisateur.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["vue_utilisateur.Club_Id"]["edit"] = array("table" => "vue_utilisateur", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district"] ) ) {
			$lookupTableLinks["district"] = array();
		}
		if( !isset( $lookupTableLinks["district"]["vue_utilisateur.District_Id"] )) {
			$lookupTableLinks["district"]["vue_utilisateur.District_Id"] = array();
		}
		$lookupTableLinks["district"]["vue_utilisateur.District_Id"]["edit"] = array("table" => "vue_utilisateur", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["groupesang"] ) ) {
			$lookupTableLinks["groupesang"] = array();
		}
		if( !isset( $lookupTableLinks["groupesang"]["licence_vue.GroupSang_Id"] )) {
			$lookupTableLinks["groupesang"]["licence_vue.GroupSang_Id"] = array();
		}
		$lookupTableLinks["groupesang"]["licence_vue.GroupSang_Id"]["edit"] = array("table" => "licence_vue", "field" => "GroupSang_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["licence_vue.Club_Id"] )) {
			$lookupTableLinks["club"]["licence_vue.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["licence_vue.Club_Id"]["edit"] = array("table" => "licence_vue", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_vue.ordre"] )) {
			$lookupTableLinks["gradejudo"]["licence_vue.ordre"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_vue.ordre"]["edit"] = array("table" => "licence_vue", "field" => "ordre", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_vue.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["licence_vue.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_vue.GradeInitial"]["edit"] = array("table" => "licence_vue", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["licence_vue.GradeActuel"] )) {
			$lookupTableLinks["gradejudo"]["licence_vue.GradeActuel"] = array();
		}
		$lookupTableLinks["gradejudo"]["licence_vue.GradeActuel"]["edit"] = array("table" => "licence_vue", "field" => "GradeActuel", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence"] ) ) {
			$lookupTableLinks["fonc_licence"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence"]["licence_vue.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence"]["licence_vue.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence"]["licence_vue.FoncLicence_Id"]["edit"] = array("table" => "licence_vue", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["licence_vue.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["licence_vue.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["licence_vue.Nationalite_Id"]["edit"] = array("table" => "licence_vue", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["licence_vue.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["licence_vue.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["licence_vue.Ligue_Id"]["edit"] = array("table" => "licence_vue", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["les_juges.Club_Id"] )) {
			$lookupTableLinks["club"]["les_juges.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["les_juges.Club_Id"]["edit"] = array("table" => "les_juges", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["les_juges.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["les_juges.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["les_juges.GradeInitial"]["edit"] = array("table" => "les_juges", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["les_juges.GradeActuel"] )) {
			$lookupTableLinks["gradejudo"]["les_juges.GradeActuel"] = array();
		}
		$lookupTableLinks["gradejudo"]["les_juges.GradeActuel"]["edit"] = array("table" => "les_juges", "field" => "GradeActuel", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_autre"] ) ) {
			$lookupTableLinks["fonc_licence_autre"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_autre"]["les_juges.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_autre"]["les_juges.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_autre"]["les_juges.FoncLicence_Id"]["edit"] = array("table" => "les_juges", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction2"] )) {
			$lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction2"]["edit"] = array("table" => "les_juges", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction3"] )) {
			$lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction3"]["edit"] = array("table" => "les_juges", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction4"] )) {
			$lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["les_juges.Fonction4"]["edit"] = array("table" => "les_juges", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["les_juges.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["les_juges.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["les_juges.Nationalite_Id"]["edit"] = array("table" => "les_juges", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district_vue"] ) ) {
			$lookupTableLinks["district_vue"] = array();
		}
		if( !isset( $lookupTableLinks["district_vue"]["les_juges.District_Id"] )) {
			$lookupTableLinks["district_vue"]["les_juges.District_Id"] = array();
		}
		$lookupTableLinks["district_vue"]["les_juges.District_Id"]["edit"] = array("table" => "les_juges", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue_vue"] ) ) {
			$lookupTableLinks["ligue_vue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue_vue"]["les_juges.Ligue_Id"] )) {
			$lookupTableLinks["ligue_vue"]["les_juges.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue_vue"]["les_juges.Ligue_Id"]["edit"] = array("table" => "les_juges", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue"] ) ) {
			$lookupTableLinks["ligue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue"]["district_vue.Ligue_Id"] )) {
			$lookupTableLinks["ligue"]["district_vue.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue"]["district_vue.Ligue_Id"]["edit"] = array("table" => "district_vue", "field" => "Ligue_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["club"] ) ) {
			$lookupTableLinks["club"] = array();
		}
		if( !isset( $lookupTableLinks["club"]["les_entraineurs.Club_Id"] )) {
			$lookupTableLinks["club"]["les_entraineurs.Club_Id"] = array();
		}
		$lookupTableLinks["club"]["les_entraineurs.Club_Id"]["edit"] = array("table" => "les_entraineurs", "field" => "Club_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["les_entraineurs.GradeInitial"] )) {
			$lookupTableLinks["gradejudo"]["les_entraineurs.GradeInitial"] = array();
		}
		$lookupTableLinks["gradejudo"]["les_entraineurs.GradeInitial"]["edit"] = array("table" => "les_entraineurs", "field" => "GradeInitial", "page" => "edit");
		if( !isset( $lookupTableLinks["gradejudo"] ) ) {
			$lookupTableLinks["gradejudo"] = array();
		}
		if( !isset( $lookupTableLinks["gradejudo"]["les_entraineurs.GradeActuel"] )) {
			$lookupTableLinks["gradejudo"]["les_entraineurs.GradeActuel"] = array();
		}
		$lookupTableLinks["gradejudo"]["les_entraineurs.GradeActuel"]["edit"] = array("table" => "les_entraineurs", "field" => "GradeActuel", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_autre"] ) ) {
			$lookupTableLinks["fonc_licence_autre"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_autre"]["les_entraineurs.FoncLicence_Id"] )) {
			$lookupTableLinks["fonc_licence_autre"]["les_entraineurs.FoncLicence_Id"] = array();
		}
		$lookupTableLinks["fonc_licence_autre"]["les_entraineurs.FoncLicence_Id"]["edit"] = array("table" => "les_entraineurs", "field" => "FoncLicence_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction2"] )) {
			$lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction2"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction2"]["edit"] = array("table" => "les_entraineurs", "field" => "Fonction2", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction3"] )) {
			$lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction3"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction3"]["edit"] = array("table" => "les_entraineurs", "field" => "Fonction3", "page" => "edit");
		if( !isset( $lookupTableLinks["fonc_licence_vue"] ) ) {
			$lookupTableLinks["fonc_licence_vue"] = array();
		}
		if( !isset( $lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction4"] )) {
			$lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction4"] = array();
		}
		$lookupTableLinks["fonc_licence_vue"]["les_entraineurs.Fonction4"]["edit"] = array("table" => "les_entraineurs", "field" => "Fonction4", "page" => "edit");
		if( !isset( $lookupTableLinks["nationalite"] ) ) {
			$lookupTableLinks["nationalite"] = array();
		}
		if( !isset( $lookupTableLinks["nationalite"]["les_entraineurs.Nationalite_Id"] )) {
			$lookupTableLinks["nationalite"]["les_entraineurs.Nationalite_Id"] = array();
		}
		$lookupTableLinks["nationalite"]["les_entraineurs.Nationalite_Id"]["edit"] = array("table" => "les_entraineurs", "field" => "Nationalite_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["district_vue"] ) ) {
			$lookupTableLinks["district_vue"] = array();
		}
		if( !isset( $lookupTableLinks["district_vue"]["les_entraineurs.District_Id"] )) {
			$lookupTableLinks["district_vue"]["les_entraineurs.District_Id"] = array();
		}
		$lookupTableLinks["district_vue"]["les_entraineurs.District_Id"]["edit"] = array("table" => "les_entraineurs", "field" => "District_Id", "page" => "edit");
		if( !isset( $lookupTableLinks["ligue_vue"] ) ) {
			$lookupTableLinks["ligue_vue"] = array();
		}
		if( !isset( $lookupTableLinks["ligue_vue"]["les_entraineurs.Ligue_Id"] )) {
			$lookupTableLinks["ligue_vue"]["les_entraineurs.Ligue_Id"] = array();
		}
		$lookupTableLinks["ligue_vue"]["les_entraineurs.Ligue_Id"]["edit"] = array("table" => "les_entraineurs", "field" => "Ligue_Id", "page" => "edit");
}

?>